from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Directory, Boolean, Int, String

Eukhighconfidencefilter_V0_1_0 = CommandToolBuilder(tool="EukHighConfidenceFilter", base_command=["EukHighConfidenceFilter"], inputs=[ToolInput(tag="in_result", input_type=File(optional=True), prefix="--result", doc=InputDocumentation(doc="tRNAscan-SE output file used as input")), ToolInput(tag="in_ss", input_type=File(optional=True), prefix="--ss", doc=InputDocumentation(doc="tRNAscan-SE secondary structure file used as input")), ToolInput(tag="in_output", input_type=Directory(optional=True), prefix="--output", doc=InputDocumentation(doc="Directory where output files will be written")), ToolInput(tag="in_prefix", input_type=File(optional=True), prefix="--prefix", doc=InputDocumentation(doc="Prefix for output file name")), ToolInput(tag="in_remove", input_type=Boolean(optional=True), prefix="--remove", doc=InputDocumentation(doc="Remove filtered tRNA hits (default: filtered tRNA hits are only tagged)")), ToolInput(tag="in_cm_score_one", input_type=Int(optional=True), prefix="--cmscore1", doc=InputDocumentation(doc="Domain-specific model score cutoff for secondary filtering (default = 50; -1 if not used for filtering)")), ToolInput(tag="in_ss_score_one", input_type=Int(optional=True), prefix="--ssscore1", doc=InputDocumentation(doc="Secondary structure score cutoff for secondary filtering (default = 10; -1 if not used for filtering)")), ToolInput(tag="in_iso_score_one", input_type=Int(optional=True), prefix="--isoscore1", doc=InputDocumentation(doc="Isotype-specific model score cutoff for secondary filtering (default = 70; -1 if not used for filtering)")), ToolInput(tag="in_iso_score_two", input_type=Int(optional=True), prefix="--isoscore2", doc=InputDocumentation(doc="Isotype-specific model starting score cutoff for tertiary filtering (default = 70; -1 if not used for filtering)")), ToolInput(tag="in_iso_max_score_two", input_type=Int(optional=True), prefix="--isomaxscore2", doc=InputDocumentation(doc="Maximum isotype-specific model score cutoff for tertiary filtering (default = 95)")), ToolInput(tag="in_e_uk_quality_filter", input_type=String(), position=0, doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_output", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_output", type_hint=File()), doc=OutputDocumentation(doc="Directory where output files will be written")), ToolOutput(tag="out_prefix", output_type=File(optional=True), selector=InputSelector(input_to_select="in_prefix", type_hint=File()), doc=OutputDocumentation(doc="Prefix for output file name"))], container="quay.io/biocontainers/trnascan-se:2.0.7--pl526h516909a_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Eukhighconfidencefilter_V0_1_0().translate("wdl")

